package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 反馈类型 (1.建议,2.问题,3.表扬)枚举类
*
* @author zxfei
*/
public enum FeedbackTypeEnum {
    建议(1, "建议"),
    问题(2, "问题"),
    表扬(3, "表扬");
    private Integer value;
    private String desc;

    FeedbackTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static FeedbackTypeEnum getByValue(Integer value) {
        for (FeedbackTypeEnum feedbackTypeEnum : FeedbackTypeEnum.values()) {
            if (feedbackTypeEnum.getValue() == value) {
                return feedbackTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (FeedbackTypeEnum item : FeedbackTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}